> ## Documentation Index
> Fetch the complete documentation index at: https://forge.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List sites for server

> List all sites associated with the server.

Processing mode: <small><code>sync</code></small>



## OpenAPI

````yaml https://forge.laravel.com/api/docs.openapi get /orgs/{organization}/servers/{server}/sites
openapi: 3.1.0
info:
  title: Forge
  version: 0.0.1
  description: Laravel Forge - API Documentation
servers:
  - url: https://forge.laravel.com/api
security:
  - http: []
  - oauth2: []
tags:
  - name: Roles
  - name: Sites
  - name: Organizations
  - name: Storage Providers
  - name: Recipes
  - name: Servers
  - name: Background Processes
  - name: Nginx
  - name: Databases
  - name: Backups
  - name: Monitors
  - name: Firewall Rules
  - name: Logs
  - name: SSH Keys
  - name: Scheduled Jobs
  - name: Security Rules
  - name: Redirect Rules
  - name: Integrations
  - name: Deployments
  - name: Commands
  - name: Teams
  - name: Server Credentials
  - name: User
  - name: Providers
paths:
  /orgs/{organization}/servers/{server}/sites:
    get:
      tags:
        - Sites
      summary: List sites for server
      description: |-
        List all sites associated with the server.

        Processing mode: <small><code>sync</code></small>
      operationId: organizations.servers.sites.index
      parameters:
        - name: organization
          in: path
          required: true
          description: The organization slug
          schema:
            type: string
        - name: server
          in: path
          required: true
          description: The server ID
          schema:
            type: integer
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 30
        - name: page[cursor]
          in: query
          description: The cursor to start the pagination from.
          schema:
            type: string
        - name: filter[name]
          in: query
          description: The name of the site.
          schema:
            type: string
            examples:
              - forge.laravel.com
        - name: sort
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - name
                - '-name'
                - created_at
                - '-created_at'
                - updated_at
                - '-updated_at'
          explode: false
        - name: include
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - server
                - serverCount
                - serverExists
                - tags
                - tagsCount
                - tagsExists
                - latestDeployment
                - latestDeploymentCount
                - latestDeploymentExists
                - securityRules
                - securityRulesCount
                - securityRulesExists
                - redirectRules
                - redirectRulesCount
                - redirectRulesExists
          explode: false
      responses:
        '200':
          description: Paginated set of `SiteResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SiteResource'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      next_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the next set of items.
                      prev_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the previous set of items.
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/ServerResource'
                        - $ref: '#/components/schemas/TagResource'
                        - $ref: '#/components/schemas/DeploymentResource'
                        - $ref: '#/components/schemas/SecurityRuleResource'
                        - $ref: '#/components/schemas/RedirectRuleResource'
                required:
                  - data
                  - links
                  - meta
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
      security:
        - oauth2:
            - server:view
components:
  schemas:
    SiteResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - sites
        attributes:
          type: object
          properties:
            name:
              type: string
            status:
              $ref: '#/components/schemas/SiteStatus'
            url:
              type: string
            user:
              type: string
            https:
              type: boolean
            web_directory:
              type: string
            root_directory:
              type:
                - string
                - 'null'
            aliases:
              type: array
              items: {}
            php_version:
              type: string
            deployment_status:
              type: string
            quick_deploy:
              type:
                - boolean
                - 'null'
            isolated:
              type: boolean
            shared_paths:
              type: object
              description: '* The linked directories for the site.'
              additionalProperties:
                type: string
            repository:
              type: object
              properties:
                provider:
                  type: string
                url:
                  type:
                    - string
                    - 'null'
                branch:
                  type:
                    - string
                    - 'null'
                status:
                  anyOf:
                    - $ref: '#/components/schemas/RepositoryStatus'
                    - type: 'null'
              required:
                - provider
                - url
                - branch
                - status
            database:
              type:
                - string
                - 'null'
            maintenance_mode:
              type: object
              properties:
                enabled:
                  type: boolean
                status:
                  anyOf:
                    - $ref: '#/components/schemas/MaintenanceModeStatus'
                    - type: 'null'
              required:
                - enabled
                - status
            zero_downtime_deployments:
              type: boolean
            deployment_script:
              type:
                - string
                - 'null'
            wildcards:
              type:
                - boolean
                - 'null'
            app_type:
              anyOf:
                - $ref: '#/components/schemas/AppType'
                - type: string
                  enum:
                    - Custom
            uses_envoyer:
              type: boolean
            deployment_url:
              type: string
            healthcheck_url:
              type:
                - string
                - 'null'
            created_at:
              type:
                - string
                - 'null'
              format: date-time
            updated_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - status
            - url
            - user
            - https
            - web_directory
            - root_directory
            - aliases
            - php_version
            - deployment_status
            - quick_deploy
            - isolated
            - shared_paths
            - repository
            - database
            - maintenance_mode
            - zero_downtime_deployments
            - deployment_script
            - wildcards
            - app_type
            - uses_envoyer
            - deployment_url
            - healthcheck_url
            - created_at
            - updated_at
        relationships:
          type: object
          properties:
            server:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ServerResourceIdentifier'
                    - type: 'null'
              required:
                - data
            tags:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/TagResourceIdentifier'
              required:
                - data
            latestDeployment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DeploymentResourceIdentifier'
                    - type: 'null'
              required:
                - data
            securityRules:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/SecurityRuleResourceIdentifier'
              required:
                - data
            redirectRules:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/RedirectRuleResourceIdentifier'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: SiteResource
    ServerResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - servers
        attributes:
          type: object
          properties:
            id:
              type: integer
            credential_id:
              type:
                - integer
                - 'null'
            name:
              type: string
            slug:
              type: string
            type:
              $ref: '#/components/schemas/ServerType'
              description: The type of server.
              examples:
                - app
            ubuntu_version:
              type:
                - string
                - 'null'
            ssh_port:
              type: integer
            provider:
              type: string
            identifier:
              type:
                - string
                - 'null'
            size:
              type: string
            region:
              type: string
            php_version:
              type:
                - string
                - 'null'
            php_cli_version:
              type:
                - string
                - 'null'
            opcache_status:
              type:
                - string
                - 'null'
            database_type:
              type:
                - string
                - 'null'
            db_status:
              type:
                - string
                - 'null'
            redis_status:
              type:
                - string
                - 'null'
            ip_address:
              type:
                - string
                - 'null'
            private_ip_address:
              type:
                - string
                - 'null'
            revoked:
              type: boolean
            created_at:
              type: string
              format: date-time
              description: The date and time the server was created.
              examples:
                - '2025-07-29T09:00:00Z'
            updated_at:
              type: string
              format: date-time
              description: The date and time the server was last updated.
              examples:
                - '2025-07-30T09:00:00Z'
            connection_status:
              type: string
            timezone:
              type: string
            local_public_key:
              type:
                - string
                - 'null'
            is_ready:
              type: boolean
          required:
            - id
            - credential_id
            - name
            - slug
            - type
            - ubuntu_version
            - ssh_port
            - provider
            - identifier
            - size
            - region
            - php_version
            - php_cli_version
            - opcache_status
            - database_type
            - db_status
            - redis_status
            - ip_address
            - private_ip_address
            - revoked
            - created_at
            - updated_at
            - connection_status
            - timezone
            - local_public_key
            - is_ready
        relationships:
          type: object
          properties:
            tags:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/TagResourceIdentifier'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: ServerResource
    TagResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - tags
        attributes:
          type: object
          properties:
            name:
              type: string
            created_at:
              type: string
              format: date-time
              description: The date and time the tag was created.
              examples:
                - '2025-07-29T09:00:00Z'
            updated_at:
              type: string
              format: date-time
              description: The date and time the tag was last updated.
              examples:
                - '2025-07-30T09:00:00Z'
          required:
            - name
            - created_at
            - updated_at
      required:
        - id
        - type
      title: TagResource
    DeploymentResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - deployments
        attributes:
          type: object
          properties:
            commit:
              type: object
              description: The commit information for the deployment.
              properties:
                hash:
                  type:
                    - string
                    - 'null'
                  description: The commit hash.
                author:
                  type:
                    - string
                    - 'null'
                  description: The commit author.
                message:
                  type:
                    - string
                    - 'null'
                  description: The commit message.
                branch:
                  type:
                    - string
                    - 'null'
                  description: The commit branch.
              required:
                - hash
                - author
                - message
                - branch
            type:
              type: string
            status:
              $ref: '#/components/schemas/DeploymentStatus'
            started_at:
              type: string
              format: date-time
              description: The date and time the deployment started.
              examples:
                - '2025-07-29T09:00:00Z'
            ended_at:
              type: string
              format: date-time
              description: The date and time the deployment ended.
              examples:
                - '2025-07-29T09:00:00Z'
            created_at:
              type: string
              format: date-time
              description: The date and time the deployment was created.
              examples:
                - '2025-07-29T09:00:00Z'
            updated_at:
              type: string
              format: date-time
              description: The date and time the deployment was last updated.
              examples:
                - '2025-07-29T09:00:00Z'
          required:
            - commit
            - type
            - status
            - started_at
            - ended_at
            - created_at
            - updated_at
      required:
        - id
        - type
      title: DeploymentResource
    SecurityRuleResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - securityRules
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The name of the security rule.
              examples:
                - Restricted Access
            path:
              type:
                - string
                - 'null'
              description: The path for the security rule.
              examples:
                - /admin
            status:
              type:
                - string
                - 'null'
              description: The status of the security rule.
              examples:
                - installed
            created_at:
              type: string
              format: date-time
              description: The date and time the security rule was created.
              examples:
                - '2025-07-29T09:00:00Z'
            updated_at:
              type: string
              format: date-time
              description: The date and time the security rule was last updated.
              examples:
                - '2025-07-30T09:00:00Z'
          required:
            - name
            - path
            - status
            - created_at
            - updated_at
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: SecurityRuleResource
    RedirectRuleResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - redirect-rules
        attributes:
          type: object
          properties:
            from:
              type: string
              description: The source URL path for the redirect rule.
              examples:
                - /old-path
            to:
              type: string
              description: The destination URL path for the redirect rule.
              examples:
                - /new-path
            type:
              $ref: '#/components/schemas/RedirectRuleType'
              description: The type of the redirect rule.
              examples:
                - permanent
            status:
              type: string
              description: The status of the redirect rule.
              enum:
                - installing
                - installed
                - removing
              examples:
                - installed
            created_at:
              type: string
              format: date-time
              description: The date and time the redirect rule was created.
              examples:
                - '2025-07-29T09:00:00Z'
            updated_at:
              type: string
              format: date-time
              description: The date and time the redirect rule was last updated.
              examples:
                - '2025-07-30T09:00:00Z'
          required:
            - from
            - to
            - type
            - status
            - created_at
            - updated_at
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: RedirectRuleResource
    SiteStatus:
      type: string
      enum:
        - installed
        - creating
        - removing
        - installing
        - uninstalling
        - deployed
        - never-deployed
        - deploying
        - failed
        - maintenance
      title: SiteStatus
    RepositoryStatus:
      type: string
      enum:
        - installed
        - installing
        - removing
      title: RepositoryStatus
    MaintenanceModeStatus:
      type: string
      enum:
        - disabling
        - enabling
      title: MaintenanceModeStatus
    AppType:
      type: string
      enum:
        - Statamic
        - WordPress
        - phpMyAdmin
        - Laravel
        - Symfony
        - PHP
        - Next.js
        - Nuxt.js
        - Static HTML
        - Custom
        - Craft
        - Minecraft
      title: AppType
    ServerResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - servers
        id:
          type: string
      required:
        - type
        - id
      title: ServerResourceIdentifier
    TagResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - tags
        id:
          type: string
      required:
        - type
        - id
      title: TagResourceIdentifier
    DeploymentResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - deployments
        id:
          type: string
      required:
        - type
        - id
      title: DeploymentResourceIdentifier
    SecurityRuleResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - securityRules
        id:
          type: string
      required:
        - type
        - id
      title: SecurityRuleResourceIdentifier
    RedirectRuleResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - redirect-rules
        id:
          type: string
      required:
        - type
        - id
      title: RedirectRuleResourceIdentifier
    Link:
      type: object
      properties:
        href:
          type: string
          format: uri
        rel:
          type: string
        describedby:
          type: string
        title:
          type: string
        type:
          type: string
        hreflang:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        meta:
          type: object
      required:
        - href
      title: Link
    ServerType:
      type: string
      enum:
        - app
        - web
        - loadbalancer
        - database
        - cache
        - worker
        - meilisearch
        - openclaw
      title: ServerType
    DeploymentStatus:
      type: string
      enum:
        - cancelled
        - deploying
        - failed
        - failed-build
        - finished
        - pending
        - queued
      title: DeploymentStatus
    RedirectRuleType:
      type: string
      enum:
        - redirect
        - permanent
      title: RedirectRuleType
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://forge.laravel.com/oauth/authorize
          tokenUrl: https://forge.laravel.com/oauth/token
          scopes:
            organization:view: Allow members to view the organization
            organization:manage: Allow members to manage the organization
            organization:delete: Allow members to delete the organization
            server:view: Allow members to view servers
            server:create: Allow members to create servers
            server:delete: Allow members to delete servers
            server:archive: Allow members to archive servers
            server:transfer: Allow members to transfer servers to another Forge account
            server:manage-meta: >-
              Allow members to change server settings such as name and IP
              address
            server:manage-packages: >-
              Allow members to configure and remove server and site package
              authentication
            server:manage-php: Allow members to install and change PHP installations
            server:manage-logs: Allow members to clear server and site logs
            server:manage-network: Allow members to change the server‘s firewall
            server:manage-nginx-templates: Allow members to manage Nginx templates
            server:manage-services: Allow members to start, stop and restart services
            server:manage-password: Allow members to reset the sudo password
            server:create-keys: Allow members to add SSH keys to servers
            server:delete-keys: Allow members to remove SSH keys from servers
            server:create-monitors: Allow members to create server monitors
            server:delete-monitors: Allow members to delete server monitors
            server:create-databases: Allow members to create databases and database users
            server:delete-databases: Allow members to delete databases and database users
            server:create-backups: Allow members to create database backup configurations
            server:delete-backups: Allow members to delete database backup configurations
            server:create-daemons: Allow members to create daemons
            server:delete-daemons: Allow members to delete daemons
            server:create-schedulers: Allow members to create scheduled jobs
            server:delete-schedulers: Allow members to delete scheduled jobs
            server:web-terminal: Allow members to start web terminal sessions
            site:create: Allow members to create sites
            site:delete: Allow members to delete sites
            site:meta: >-
              Allow members to update site meta data such as domain name and
              aliases
            site:manage-commands: >-
              Allow members to run arbitrary commands from the site‘s root
              directory
            site:manage-deploys: Allow members to deploy the site and update the deployment script
            site:manage-nginx: Allow members to manage the site‘s Nginx configuration file
            site:manage-project: >-
              Allow members to install Git repositories, phpMyAdmin and
              WordPress applications
            site:manage-environment: Allow members to update the site‘s environment file
            site:manage-notifications: Allow members to configure deployment notifications
            site:manage-queues: Allow members to configure queue workers
            site:manage-redirects: Allow members to configure URL redirects
            site:manage-security: Allow members to configure HTTP Basic Authentication
            site:manage-ssl: Allow members to configure SSL and Let‘s Encrypt certificates
            site:manage-integrations: Allow members to manage site integrations
            site:manage-heartbeats: Allow members to manage heartbeats
            credential:view: Allow members to view credentials
            credential:manage: Allow members to manage credentials
            team:view: Allow members to view teams
            team:create: Allow members to create teams
            team:delete: Allow members to delete teams and team members
            recipe:view: Allow members to view recipes
            recipe:manage: Allow members to manage recipes
            billing:manage: Allow members to manage the organization's subscription
            storage:manage: Allow members to manage the organization's storage providers.
            integrations:manage: Allow members to manage the organization's integrations
            user:view: Allow members to view user details
            resources:view: Allow members to view resources
            resources:create-databases: Allow members to create managed database & cache clusters
            resources:delete-databases: Allow members to delete managed database & cache clusters
            resources:manage-databases: Allow members to manage managed database & cache clusters settings
            resources:create-buckets: Allow members to create object storage buckets
            resources:delete-buckets: Allow members to delete object storage buckets
            resources:manage-buckets: >-
              Allow members to manage object storage buckets and their access
              keys

````